/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.process.web.ui.internal.TestPage");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("net.jazz.ajax.ui.PlatformUI");

dojo.require("com.ibm.team.repository.web.client.init.InitializationData");

dojo.require("com.ibm.team.process.web.client.projectarea");

// aliases and utility functions

var InitializationData = com.ibm.team.repository.web.client.init.InitializationData;
var PlatformUI = net.jazz.ajax.ui.PlatformUI;

function getProjectAreaString(projectArea) {
	return "{itemId: " + projectArea.itemId + ", name: " + projectArea.name + "}";
}

dojo.declare("com.ibm.team.process.web.ui.internal.TestPage", [dijit._Widget, dijit._Templated], {
	templateString: "<div><div dojoAttachPoint='allPAs'>All Project Areas:<br/></div><div dojoAttachPoint='currentPA'><br/>Current Project Area:<br/></div></div>",
	
	postCreate: function() {
		var ActionRegistry = PlatformUI.getWorkbench().getActionRegistry();
		ActionRegistry.registerAction("com.ibm.team.process.web._testProjectAreas", this, "showProjectAreaInfo");
	},
	
	showProjectAreaInfo: function() {
		var self = this;
		
		var projectAreas = InitializationData.get("com.ibm.team.process.service.projectAreaWebUIInitializionData").projectAreas;
		dojo.forEach(projectAreas, function(projectArea) {
			var div = document.createElement("div");
			div.innerHTML = getProjectAreaString(projectArea);
			self.allPAs.appendChild(div);
		});
		
		var projectArea = com.ibm.team.process.web.client.projectarea.getCurrentProjectArea();
		this.currentPA.appendChild(document.createTextNode(getProjectAreaString(projectArea)));
	}

});

})();